@import "../global.css";
@import "../seamless.css";

div#root {
  --primary: var(--blue);
  --primary-text: var(--blue);
  --primary-svg: var(--blue);
}

/* DBA logo */
div#root .fwm-team-header-entity-logo-image {
  width: 18.75rem;
}

/* Align Center - Wide */
.fwm-column-halves .fwm-nestable-flex {
  align-items: center;
}

/* Primary H2 */
.fwm-section-header .fwm-section-header-hgroup .fwm-section-header-title-text {
  font-weight: 300;
  font-size: 1.75rem;
  text-transform: uppercase;
}
.fwm-section-header .fwm-section-header-hgroup::after {
  content: "";
  display: block;
  width: 6.25rem;
  height: 0.25rem;
  background: var(--secondary);
  margin: 0.75rem 0 0.75rem;
}

.fwm-lightTheme .fwm-section-header .fwm-section-header-hgroup .fwm-section-header-title-text {
  color: var(--primary-text);
}

.fwm-section-header.fwm-text-align-center .fwm-section-header-hgroup::after {
  margin: 0.75rem auto;
}

@media (min-width: 48rem) {
  .fwm-section-header hgroup.fwm-section-header-hgroup .fwm-section-header-title-text {
    font-size: 2rem;
  }
}
@media (min-width: 64rem) {
  .fwm-section-header hgroup.fwm-section-header-hgroup .fwm-section-header-title-text {
    font-size: 2.2rem;
  }
}
/* Contact Map Header */
.fwm-team-map-title.fwm-section-header-title-text {
  font-weight: 300;
  font-size: 1.75rem;
  text-transform: uppercase;
}
.fwm-team-map-title.fwm-section-header-title-text::after {
  content: "";
  display: block;
  width: 6.25rem;
  height: 0.25rem;
  background: var(--secondary);
  margin: 0.75rem 0 0.75rem;
}

.fwm-lightTheme .fwm-team-map-title.fwm-section-header-title-text {
  color: var(--primary-text);
}

@media (min-width: 48rem) {
  .fwm-team-map-title.fwm-section-header-title-text {
    font-size: 2rem;
  }
}
@media (min-width: 64rem) {
  .fwm-team-map-title.fwm-section-header-title-text {
    font-size: 2.2rem;
  }
}
/* Primary H3 */
h3.fwm-primary-h3.fwm-primary-h3 {
  font-size: 1.25rem;
  font-weight: 400;
  text-transform: uppercase;
  line-height: 1.2;
}

.fwm-lightTheme h3.fwm-primary-h3.fwm-primary-h3 {
  color: var(--primary-text);
}

@media (min-width: 48rem) {
  h3.fwm-primary-h3.fwm-primary-h3 {
    font-size: 1.375rem;
  }
}
@media (min-width: 64rem) {
  h3.fwm-primary-h3.fwm-primary-h3 {
    font-size: 1.5rem;
  }
}
/* Accordion Headers */
summary.fwm-pivot-accordion-summary span[class*=SpanStyled],
div.accordion-container .accordion-item-title,
.mce-accordion summary {
  font-weight: 900;
}

.fwm-lightTheme summary.fwm-pivot-accordion-summary span[class*=SpanStyled],
.fwm-lightTheme div.accordion-container .accordion-item-title,
.fwm-lightTheme .mce-accordion summary {
  color: var(--primary-text) !important;
}

/* Hero Gradient/Box */
.fwm-hero-gradient.fwm-hero-box .fwm-hero-large-heading-container {
  background: rgba(14, 73, 123, 0.5);
}
.fwm-hero-gradient.fwm-hero-box .fwm-hero-large-heading-container::before {
  content: "";
  position: absolute;
  display: block;
  top: 0;
  right: 0;
  width: 100%;
  height: 100%;
  background: url("https://media.northwesternmutual.com/sites/images/ab1f1dac-e53e-4466-b9aa-76d249e5bd86.png?width=original") no-repeat right -12.5rem center/cover;
}
.fwm-hero-gradient.fwm-hero-box .fwm-hero-large-text-container hgroup {
  position: relative;
  width: 43.75rem;
  max-width: 100%;
}
.fwm-hero-gradient.fwm-hero-box .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h1,
.fwm-hero-gradient.fwm-hero-box .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2 {
  font-weight: 300;
  text-transform: uppercase;
  font-size: 3rem;
}

@media (min-width: 48rem) {
  .fwm-hero-gradient.fwm-hero-box .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h1,
  .fwm-hero-gradient.fwm-hero-box .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2 {
    font-size: 4rem;
  }
}
@media (min-width: 64rem) {
  .fwm-hero-gradient.fwm-hero-box .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h1,
  .fwm-hero-gradient.fwm-hero-box .fwm-hero-large-text-container hgroup .fwm-hero-large-heading h2 {
    font-size: 4.5rem;
  }
}
/* Awards */
.fwm-awards-standard.fwm-nestable-no-subcomponents.fwm-not-subcomponent.fwm-lightTheme {
  position: relative;
}
.fwm-awards-standard.fwm-nestable-no-subcomponents.fwm-not-subcomponent.fwm-lightTheme::after {
  content: "";
  position: absolute;
  top: 33%;
  left: 50%;
  transform: translate(-50%, 0);
  height: calc(66% - 1.5rem);
  width: 81rem;
  max-width: 95%;
  border: 0.125rem solid var(--secondary);
  z-index: 1;
}
.fwm-awards-standard.fwm-nestable-no-subcomponents.fwm-not-subcomponent.fwm-lightTheme .fwm-nestable-container {
  background: var(--white);
  padding: 1.5rem 1rem;
  position: relative;
  z-index: 3;
  box-shadow: 0 0 1rem rgba(0, 0, 0, 0.1);
}
.fwm-awards-standard.fwm-nestable-no-subcomponents.fwm-not-subcomponent.fwm-lightTheme .fwm-nestable-container::before {
  content: "";
  display: block;
  width: 17rem;
  height: 21.875rem;
  background: url("https://media.northwesternmutual.com/sites/images/7b654db9-25cf-43c4-96ac-5b307eaad1d9.png?width=original") no-repeat center center/contain;
  position: absolute;
  top: 10%;
  left: 50%;
  transform: translate(-50%, 0);
  z-index: 0;
  opacity: 0.08;
}

@media (min-width: 48rem) {
  .fwm-awards-standard.fwm-nestable-no-subcomponents.fwm-not-subcomponent.fwm-lightTheme::after {
    height: calc(66% - 2.75rem);
  }
  .fwm-awards-standard.fwm-nestable-no-subcomponents.fwm-not-subcomponent.fwm-lightTheme .fwm-nestable-container {
    padding: 4rem 2rem;
  }
}
/* Carousels */
.fwm-carousel-panel .swiper-container {
  position: relative;
}
.fwm-carousel-panel .swiper-container::after {
  content: "";
  position: absolute;
  height: calc(100% + 3rem);
  top: -1rem;
  width: calc(100% - 5rem);
  right: calc(50% - 0.5rem);
  transform: translateX(50%);
  border: 0.125rem solid var(--secondary);
}
.fwm-carousel-panel.fwm-carousel-left .swiper-container::after {
  right: initial;
  left: calc(50% + 0.5rem);
  transform: translateX(-50%);
}

.fwm-carousel-center .swiper-container {
  position: relative;
}
.fwm-carousel-center .swiper-container::after {
  content: "";
  position: absolute;
  height: calc(100% + 3rem);
  top: -1rem;
  width: calc(100% - 5rem);
  right: calc(50% - 0.5rem);
  transform: translateX(50%);
  border: 0.125rem solid var(--secondary);
}

/* Flip Card Set [Home] */
.fwm-lightTheme.fwm-card-flip-set .fwm-nestable-container {
  position: relative;
}
.fwm-lightTheme.fwm-card-flip-set .fwm-nestable-container::before {
  content: "";
  display: block;
  width: 100%;
  height: 80%;
  background: url("https://media.northwesternmutual.com/sites/images/7b654db9-25cf-43c4-96ac-5b307eaad1d9.png?width=original") no-repeat center center/contain;
  position: absolute;
  bottom: 10%;
  left: 50%;
  transform: translate(-50%, 0);
  z-index: 0;
  opacity: 0.02;
}

/* Custom Photo - Wide */
@media (max-width: 48rem) {
  section.fwm-photo-panel.fwm-column-halves.fwm-nestable-no-subcomponents.fwm-not-subcomponent.fwm-lightTheme .fwm-RenderHTML-container {
    padding: 1.5rem;
    border: 0.125rem solid var(--secondary);
  }
}
@media (min-width: 64rem) {
  section.fwm-photo-panel.fwm-column-halves.fwm-nestable-no-subcomponents.fwm-not-subcomponent.fwm-lightTheme {
    position: relative;
    overflow: hidden;
  }
  section.fwm-photo-panel.fwm-column-halves.fwm-nestable-no-subcomponents.fwm-not-subcomponent.fwm-lightTheme .fwm-photo-field {
    position: relative;
    z-index: 10;
  }
  section.fwm-photo-panel.fwm-column-halves.fwm-nestable-no-subcomponents.fwm-not-subcomponent.fwm-lightTheme::after {
    content: "";
    display: block;
    width: 120%;
    height: 25rem;
    position: absolute;
    left: -21rem;
    background-color: var(--primary);
    transform: rotate(-65deg);
    transform-origin: top left;
    z-index: 2;
  }
  section.fwm-photo-panel.fwm-column-halves.fwm-nestable-no-subcomponents.fwm-not-subcomponent.fwm-lightTheme::before {
    content: "";
    display: block;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    right: -0.125rem;
    height: 90%;
    width: 60%;
    border: 0.125rem solid var(--secondary);
  }
  section.fwm-photo-panel.fwm-column-halves.fwm-nestable-no-subcomponents.fwm-not-subcomponent.fwm-lightTheme.fwm-media-right::after {
    left: initial;
    right: -21rem;
    transform: rotate(65deg);
    transform-origin: top right;
  }
  section.fwm-photo-panel.fwm-column-halves.fwm-nestable-no-subcomponents.fwm-not-subcomponent.fwm-lightTheme.fwm-media-right::before {
    right: initial;
    left: -0.125rem;
  }
}
/* Callout Block [Home] */
.fwm-lightTheme.fwm-photo-callout-block-center .fwm-nestable-container {
  border: 0.125rem solid var(--secondary);
  position: relative;
  z-index: 2;
  backdrop-filter: blur(0.5rem);
  box-shadow: 0 0 2rem rgba(0, 0, 0, 0.1);
}

/* Tabs */
.fwm-tabbed-content.fwm-lightTheme div[class*=TabsNavWrapperStyled] {
  border: 1px solid var(--secondary);
  text-align: center;
  padding: 1em;
}
.fwm-tabbed-content.fwm-lightTheme li[class*=PivotNavigationItemStyled].active {
  border-color: var(--secondary);
}
.fwm-tabbed-content.fwm-lightTheme .active > a[class*=AnchorStyled] {
  background: var(--primary-text);
  color: var(--white);
}
.fwm-tabbed-content.fwm-lightTheme .fwm-tabbed-content-panels {
  border: 1px solid var(--secondary);
}

/* Text Center - Standard Width */
section.fwm-text-center.fwm-nestable-no-subcomponents.fwm-not-subcomponent .fwm-nestable-container {
  padding: 1.5rem;
  border: 0.125rem solid var(--secondary);
  box-shadow: 0 0 2rem rgba(0, 0, 0, 0.1);
}

@media (min-width: 48rem) {
  section.fwm-text-center.fwm-nestable-no-subcomponents.fwm-not-subcomponent .fwm-nestable-container {
    padding: 4rem 2rem;
  }
}